<?php
//add css and js
function horkos_addcss() {
	
	wp_enqueue_style('horkos-style', get_stylesheet_uri());	
	wp_enqueue_style('font-awesome', get_template_directory_uri() . '/inc/css/font-awesome.css');
	 if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
    wp_enqueue_script( 'comment-reply' );
	 }
	
}
add_action('wp_enqueue_scripts', 'horkos_addcss');




function horkos_scriptinvolve() {
 
	wp_enqueue_script('horkos-header', get_template_directory_uri(). '/js/header.js',array('jquery'), '1.0.0', true);
	
 
}
add_action('wp_enqueue_scripts', 'horkos_scriptinvolve');

//function for bassic requirements
function horkos_register_menu_bg_image() {
	
	// Navigation Menus
	register_nav_menus(array(
		'primary' => esc_html__( 'Primary Menu', 'horkos'),
		'footer' =>  esc_html__( 'Footer Menu', 'horkos'),
	));

	// Featured Image support
	add_theme_support('post-thumbnails');
	add_image_size('horkos-the-thumbnail',380, 230, true);
	
	//post-format
	add_theme_support('post-formats', array('aside', 'status', 'quote'));

	//background imaage support
	add_theme_support( "custom-background");
	

	// Add default posts and comments RSS feed links to head.
  	add_theme_support( 'automatic-feed-links' );
  	//adding html and gallery support
  	add_theme_support('html', 'gallery');
	
	//add support for title tag
 	add_theme_support( 'title-tag' );


 	//custom header
	$args = array(

		'default-text-color' => '2fc0ca',
		'width'         => 1200,
		'height'        => 250,
		'description'	=> __('No image','horkos'),
	);
	add_theme_support( 'custom-header', $args );


 	//the logo
		add_theme_support( 'custom-logo', array(
			'height'      => 100,
			'width'       => 150,
			'flex-height' => true,
		) );


	//Image gallery Width
	if ( ! isset( $content_width ) )
		$GLOBALS['content_width'] =900;


	
}
add_action('after_setup_theme', 'horkos_register_menu_bg_image');

// Excerpt length
function horkos_custome_excerpt($length) {
	
	if ( is_admin() ) {
		
		return $length;
	
	}

	return 30;
}
add_filter('excerpt_length','horkos_custome_excerpt');


//excerpt style
function horkos_excerpt_more( $more ) {

	return '';

}
add_filter( 'excerpt_more', 'horkos_excerpt_more' );


//logo handler
if ( ! function_exists( 'horkos_custom_logo' ) ) :

function horkos_custom_logo() {
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;


//now handle callback part
function horkos_logo_callback() {
	add_theme_support( 'custom-header', apply_filters( 'custom_header_args', array(
		'wp-head-callback'       => 'horkos_logo_and_stuff',
	) ) );
}
add_action( 'after_setup_theme', 'horkos_logo_callback' );


//handle site description and logo both
if ( ! function_exists( 'horkos_logo_and_stuff' ) ) :

function horkos_logo_and_stuff() {
	
	if ( display_header_text() ) {
		return;
	}

	
	?>
	<style type="text/css" id="extra-header-css">
		.site-branding {
			margin: 0 auto 0 0;
		}

		.site-name, #tagline{
			clip: rect(1px, 1px, 1px, 1px);
			position: absolute;
		}
	</style>
	<?php
}
endif;


// Load require files
require get_template_directory() . '/inc/customizer.php';
require get_template_directory() . '/inc/social-media-widget.php';
require get_template_directory() . '/inc/popular-post-widget.php';




// Register sidebar widget area
function horkos_refister_widget() {
	
	//right sidebar register
	
	register_sidebar( array(
		
		'name' 				=> esc_html__('Right Sidebar', 'horkos'),
		'id' 				=> 'sidebar1',
		'before_widget' 	=> '<div class="widget-item">',
		'after_widget' 		=> '</div>',
		'before_title' 		=> '<h2 class="widget-title">',
		'after_title' 		=> '</h2>',
		
	));

	
	

}   

add_action('widgets_init', 'horkos_refister_widget');




register_default_headers( array (

'header_gray' => array (
	'url' => '%s/inc/images/header-1.jpg',
	'thumbnail_url' => '%s/inc/images/header-1.jpg',
	'description' => __( 'Header Image 1', 'horkos' )
),

'header_blue' => array (
	'url' => '%s/inc/images/header-2.jpg',
	'thumbnail_url' => '%s/inc/images/header-2.jpg',
	'description' => __( 'Header Image 2', 'horkos' )
),

'header_green' => array (
	'url' => '%s/inc/images/header-3.jpg',
	'thumbnail_url' => '%s/inc/images/header-3.jpg',
	'description' => __( 'Header Image 1', 'horkos' )
)

) );




