<?php

function horkos_customize_register( $wp_customize ) {

    
	$wp_customize->add_section('horkos_features', array(
		'title' 	=> __('Horkos Theme Features', 'horkos'),
		'priority' 	=> 40,
	));

            	//Seach box in Header Nav menu controller
					$wp_customize->add_setting( 'box_layout', array(
							'default'           => 1,
							'transport' 		=> 'refresh',
							'sanitize_callback' => 'horkos_sanitize_checkbox',
					) );
						
						$wp_customize->add_control( 'box_layout', array(
							'label'     => __( 'Enable Boxed UI', 'horkos' ),
							'section'   => 'horkos_features',
							'type'      => 'checkbox',
							'settings' 	=> 'box_layout',
					) );
				
				//Featured image on post page
					$wp_customize->add_setting( 'featured_image_post', array(
							'default'           => 0,
							'transport' 		=> 'refresh',
							'sanitize_callback' => 'horkos_sanitize_checkbox',
					) );
						
						$wp_customize->add_control( 'featured_image_post', array(
							'label'     => __( 'Display featured image on post page', 'horkos' ),
							'section'   => 'horkos_features',
							'type'      => 'checkbox',
							'settings' 	=> 'featured_image_post',
					) );

				//Author Infobox
					$wp_customize->add_setting( 'author_info_box', array(
							'default'           => 0,
							'transport' 		=> 'refresh',
							'sanitize_callback' => 'horkos_sanitize_checkbox',
					) );
						
						$wp_customize->add_control( 'author_info_box', array(
							'label'     => __( 'Display Author info box on post page', 'horkos' ),
							'section'   => 'horkos_features',
							'type'      => 'checkbox',
							'settings' 	=> 'author_info_box',
					) );

				//Related Posts
					$wp_customize->add_setting( 'related_post', array(
							'default'           => 0,
							'transport' 		=> 'refresh',
							'sanitize_callback' => 'horkos_sanitize_checkbox',
					) );
						
						$wp_customize->add_control( 'related_post', array(
							'label'     => __( 'Display related posts on post page', 'horkos' ),
							'section'   => 'horkos_features',
							'type'      => 'checkbox',
							'settings' 	=> 'related_post',
					) );

				//Post Navigation
					$wp_customize->add_setting( 'post_nav', array(
							'default'           => 0,
							'transport' 		=> 'refresh',
							'sanitize_callback' => 'horkos_sanitize_checkbox',
					) );
						
						$wp_customize->add_control( 'post_nav', array(
							'label'     => __( 'Display post navigation on post page', 'horkos' ),
							'section'   => 'horkos_features',
							'type'      => 'checkbox',
							'settings' 	=> 'post_nav',
					) );



			// Color features
			//All color features including gradients
			
					//header background color 1
					$defaultheader_bg_color_1 = '#46d3b0';
					$wp_customize->add_setting('header_bg_color_1', array(
						'default' 	=> $defaultheader_bg_color_1,
						'transport' => 'refresh',
						'sanitize_callback' => 'sanitize_hex_color',
					));
					
					$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_bg_color_1', array(
						'label' 	=> __('Header Background color', 'horkos'),
						'section' 	=> 'colors',
						'settings' 	=> 'header_bg_color_1',
					) ) );

					//header background color 2
					$defaultheader_bg_color_2 = '#2ebfcc';
					$wp_customize->add_setting('header_bg_color_2', array(
						'default' 	=> $defaultheader_bg_color_2,
						'transport' => 'refresh',
						'sanitize_callback' => 'sanitize_hex_color',
					));
					
					$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_bg_color_2', array(
						'section' 	=> 'colors',
						'settings' 	=> 'header_bg_color_2',
					) ) );



					//general link color
					$default_general_link = '#2fc0ca';
					$wp_customize->add_setting('general_link', array(
						'default' 	=> $default_general_link,
						'transport' => 'refresh',
						'sanitize_callback' => 'sanitize_hex_color',
					));
					
					$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'general_link', array(
						'label' 	=> __('General link Color', 'horkos'),
						'section' 	=> 'colors',
						'settings' 	=> 'general_link',
					) ) );
	


	$wp_customize->add_section('header_features', array(
		'title' 	=> __('Header and Menu', 'horkos'),
		'priority' 	=> 50,
	));

            //Search box in Header Nav menu controller
					$wp_customize->add_setting( 'header_search', array(
							'default'           => 0,
							'transport' 		=> 'refresh',
							'sanitize_callback' => 'horkos_sanitize_checkbox',
					) );
						
						$wp_customize->add_control( 'header_search', array(
							'label'     => __( 'Display search icon in header menu?', 'horkos' ),
							'section'   => 'header_features',
							'type'      => 'checkbox',
							'settings' 	=> 'header_search',
					) );

            
					
}

add_action('customize_register', 'horkos_customize_register');


//adding custom css
function horkos_get_require_customize_css() { 
	//adding boxed layout
 	if(get_theme_mod( 'box_layout' ) == 0){
	 	echo '<style type="">
    			.post-row{
					padding-left: 20px;
    				width: 95%;
    				border-bottom:1px solid #ccc;
				}
				
				@media (max-width:767px){ .post-row{width:100%!important; padding-left:0px!important;} }
				@media (max-width:515px){.post-row{border-bottom:none;}.post-grid-wrap {border-bottom: 1px solid #ccc; }}
			    </style>';
	 }
	else {
		$bg_color = get_background_color();
		echo '<style type="text/css">
        		.post-grid-wrap{
					padding: 35px 15px 0px 15px;
    				margin-right:0px;
				}
				.post-list .page, .post-list .post {
    				width: 47%;
    				margin: 5px;
				}
				.post-row {
    			    background-color: white;
					border-bottom:none;
				}
				@media (max-width: 515px){.post-grid-wrap{padding:15px 15px 0px 15px;}.post-row{background-color:#'.esc_attr($bg_color).';}.grid-item{background-color:white;}}
        	</style>';

		}
	//boxed UI finished
}

add_action('wp_head', 'horkos_get_require_customize_css');



function horkos_color_controller() { 

	$header_text_color = get_header_textcolor(); 
	
	?>

	<style type="text/css">
		.main-header, .footer { background: linear-gradient(to right, <?php echo esc_attr(get_theme_mod('header_bg_color_1')); ?>, <?php echo esc_attr(get_theme_mod('header_bg_color_2')); ?>);}
		input[type="submit"],#wp-calendar caption, .widget_calendar caption {background-color:<?php echo esc_attr( get_theme_mod('general_link')); ?>;}
		a:link, a:visited {color: <?php echo esc_attr( get_theme_mod('general_link')); ?>;}
		.site-name a {color:#<?php echo esc_attr($header_text_color); ?>!important}
		.aside-c-wrap {border-left: 1px solid <?php echo esc_attr( get_theme_mod('general_link')); ?>;}
		.widget-title:after {border: 1.85px solid <?php echo esc_attr( get_theme_mod('general_link')); ?>;}
		.widget-item .menu-header-container ul li ul li a, .widget-item .menu-header-container ul li ul li a:hover {color: <?php echo esc_attr( get_theme_mod('general_link')); ?>;}
	</style>



<?php }

add_action('wp_head', 'horkos_color_controller');

function horkos_sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}



