<?php
/*  The popular post widget with thumbnail!*/

class horkos_popular_post extends WP_Widget
{
	 function __construct(){

        $widget_ops = array('classname' => 'horkos-popular-posts','description' => __( "Display Popular Posts with this widget.",'horkos') );
		    parent::__construct('horkos_popular_post', esc_html__('Horkos Popular Posts Widget','horkos'), $widget_ops);

			}

    function widget($args , $instance) {

	extract($args);
	$title = apply_filters('widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
        $limit = isset($instance['limit']) ? $instance['limit'] : 5;

      echo $before_widget;
      echo $before_title;
      echo esc_html($title);
      echo $after_title;

	
	 ?>

    <!-- popular posts -->
          <div class="popular-posts-wrapper">

                <?php

                  $featured_args = array(
                      'posts_per_page' => intval($limit),
                      'orderby' => 'comment_count',
                      'order' => 'DESC',
                      'ignore_sticky_posts' => 1,
                      'meta_query' => array(
                          array( 'key' => '_thumbnail_id'),
                      )
                    );

                  $featured_query = new WP_Query($featured_args);
                 
                  if($featured_query->have_posts()) : while($featured_query->have_posts()) : $featured_query->the_post();

                    ?>

                        <?php if(get_the_content() != '') : ?>

                        <!-- main post wrap -->
                        <div class="popular-post-wrap">

                          <!-- featured image -->
                          <div class="popular-featured-image">

                                <a href="<?php the_permalink(); ?>"><?php
                               
                                  the_post_thumbnail('horkos-the-thumbnail');
                                 ?></a>

                          </div> <!--/featured image -->

                          <!-- title -->
                          <div class="post-content">

                              <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
								
                          </div><!--/title -->
                        </div><!-- end main post wrap-->

                        <?php endif; ?>

                    <?php

                  endwhile; endif;
                  wp_reset_postdata();

                 ?>

          </div> <!-- end wrapper -->

		<?php

		echo $after_widget;
    }

	// control
    function form($instance) {

      if(!isset($instance['title'])) $instance['title'] = __('Popular Posts','horkos');
      if(!isset($instance['limit'])) $instance['limit'] = 5;

    	?>

      <p><label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title','horkos') ?></label>

      <input  type="text" value="<?php echo esc_attr($instance['title']); ?>"
              name="<?php echo esc_attr($this->get_field_name('title')); ?>"
              id="<?php $this->get_field_id('title'); ?>"
              class="widefat" />
      </p>

      <p><label for="<?php echo esc_attr($this->get_field_id('limit')); ?>"><?php esc_html_e('Limit Posts Number','horkos') ?></label>

      <input  type="text" value="<?php echo esc_attr($instance['limit']); ?>"
              name="<?php echo esc_attr($this->get_field_name('limit')); ?>"
              id="<?php $this->get_field_id('limit'); ?>"
              class="widefat" />
      <p>

    	<?php
    }
}
register_widget('horkos_popular_post');